<?php
$type = array
(
    1 => '数值',
    2 => '百分比',
);
return array
(
    # 表名
    'name' => 'reward',
    # 显示给用户看的名称
    'lang' => '佣金配置',
    'order' => 2,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'category'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '分类',
            'default'   => '',
            'desc'      => '分类',
            'match'     => 'is_string',
            'search'    => 'linkage',
            'update'    => 'linkage',
            'option'    => Dever::url('api.get', 'category'),
            'list'      => 'Dever::load("category/api.string", "{category}")',
        ),

        'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '类型',
			'default' 	=> '1',
			'desc' 		=> '类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $type,
			'list'		=> true,
			'search'	=> 'select',
		),

		'value'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '佣金-如果是百分比类型，这里如果填的是10，那就是总价的10%',
			'default' 	=> '',
			'desc' 		=> '佣金',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', DEVER_TIME),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        //'delete' => false,
        //'edit' => false,
        //'insert' => false,
    ),

    'request' => array
    (
        # 列表
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'category' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'limit' => '0,10',
            'col' => '*',
        ),
    )
);
